## org.jfree.chart.renderer.xy
Class XYBarRenderer.XYBarRendererState

    java.lang.Object
      org.jfree.chart.renderer.RendererState
          org.jfree.chart.renderer.xy.XYItemRendererState
              org.jfree.chart.renderer.xy.XYBarRenderer.XYBarRendererState

Enclosing class:
  XYBarRenderer

    protected class XYBarRenderer.XYBarRendererState

extends XYItemRendererState

The state class used by this renderer.

Field Summary

Fields inherited from class org.jfree.chart.renderer.xy.XYItemRendererState
`workingLine`

Constructor Summary
`XYBarRenderer.XYBarRendererState(PlotRenderingInfo info)` Creates a new state object.

Method Summary
`double` `getG2Base()` Returns the base (range) value in Java 2D space.
`void` `setG2Base(double value)` Sets the range axis base in Java2D space.

Methods inherited from class org.jfree.chart.renderer.xy.XYItemRendererState
`getProcessVisibleItemsOnly, setProcessVisibleItemsOnly`

Methods inherited from class org.jfree.chart.renderer.RendererState
`getEntityCollection, getInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XYBarRenderer.XYBarRendererState

    public XYBarRenderer.XYBarRendererState(PlotRenderingInfo info)

  Creates a new state object.

  Parameters:
    `info` - the plot rendering info.

Method Detail

### getG2Base

    public double getG2Base()

  Returns the base (range) value in Java 2D space.

  Returns:
    The base value.

### setG2Base

    public void setG2Base(double value)

  Sets the range axis base in Java2D space.

  Parameters:
    `value` - the value.